import request from '@/utils/request'

// 获取达人列表
export function getPromoterList(query) {
  return request({
    url: '/kuaishou/promoter/list3',
    method: 'get',
    params: query
  })
}

export function getExpertMentor(query) {
  return request({
    url: '/kuaishou/promoter/jyExpertMentorList',
    method: 'get',
    params: query
  })
}

export function getExpertBusiness(query) {
  return request({
    url: '/kuaishou/promoter/jyExpertBusiness',
    method: 'get',
    params: query
  })
}


// 获取达人列表
export function getPromoterDetail(query) {
  return request({
    url: '/kuaishou/promoter/getById',
    method: 'get',
    params: query
  })
}


// 新增达人

export function addPromoter(query) {
  return request({
    url: '/kuaishou/promoter/add3',
    method: 'post',
    data: query
  })
}

export function editPromoter(query) {
  return request({
    url: '/kuaishou/promoter/edit3',
    method: 'post',
    data: query
  })
}


// 删除达人
export function deleteById(query) {
  return request({
    url: '/kuaishou/promoter/deleteById3',
    method: 'get',
    params: query
  })
}


//  素材认证列表
export function getMaterialList(query) {
  return request({
    url: '/jy/material/list',
    method: 'get',
    params: query
  })
}

// 素材验证
export function fileCheck(parameter) {
  return request({
    url: "/jy/material/checkMaterial",
    method: 'get',
    params: parameter
  })
}

// 素材上传
export function addMaterials(parameter) {
  return request({
    url: "/jy/material/addMaterials",
    method: 'post',
    data: parameter
  })
}

// 修改素材状态
export function editMaterialsStatus(parameter) {
  return request({
    url: "/jy/material/edit",
    method: 'put',
    data: parameter
  })
}

// 获取违规词库
export function getKeyWordList(parameter) {
  return request({
    url: "/jy/material/getKeyWordList",
    method: 'get',
    params: parameter
  })
}

// 添加违规词库
export function insertKeyWord(parameter) {
  return request({
    url: "/jy/material/insertKeyWord",
    method: 'get',
    params: parameter
  })
}




